form {
  width: 30%;

  display: flex;
  flex-direction: column;
  background-color: #222;
  padding: 1rem;

  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  max-width: 20rem;
  border-radius: 0.5rem;
}

form * {
  margin: 0.25rem 0px;
  padding: 1rem;
}

input[type="submit"] {
  cursor: pointer;
  border: none;
  margin: 1rem 0px auto;
  background-color: #F77;
}

input {
  border: 1px solid gray;
}

#password_incorrect {
  text-align: center;
  color: #F77;
  margin: 0;
  display: none;
}

@media only screen and (max-width: 600px) {
  form {
    width: 80%;
    aspect-ratio: 5/6;
  }
  input[type="submit"] {
    margin-top: auto;
    margin-bottom: 0px;
    padding: 1rem;
  }
}
